Lintian Fixes - fexoticoptions

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/fexoticoptions lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2020-05-18 15:13:58 +0000
+++ b/debian/changelog	2020-06-04 22:04:15 +0000
@@ -1,3 +1,13 @@
+fexoticoptions (3042.80-4) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Bump debhelper dependency to >= 9, since that's what is used in
+    debian/compat.
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 04 Jun 2020 22:01:57 -0000
+
 fexoticoptions (3042.80-3) unstable; urgency=medium
 
   * Rebuilt for r-4.0 transition
@@ -10,10 +20,10 @@
 fexoticoptions (3042.80-2) unstable; urgency=medium
 
   * Rebuilding for R 3.5.0 transition
-  
+
   * debian/control: Set Build-Depends: to current R version
   * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
   * debian/control: Add Vcs-Browser: and Vcs-Git:
   * debian/control: Switch from cdbs to dh-r
   * debian/rules: Idem
@@ -23,9 +33,9 @@
 fexoticoptions (3042.80-1) unstable; urgency=medium
 
   * New upstream release
-  
-  * debian/control: Set Standards-Version: to current version 
-  * debian/control: Set Build-Depends: to current R version 
+
+  * debian/control: Set Standards-Version: to current version
+  * debian/control: Set Build-Depends: to current R version
   * debianb/control: Add Depends: on ${misc:Depends}
   * debian/compat: Set level to 9
 
@@ -34,16 +44,16 @@
 fexoticoptions (2152.78-3) unstable; urgency=medium
 
   * debian/compat: Created			(Closes: #830422)
- 
+
   * debian/control: Set Build-Depends: to current R version
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jul 2016 06:59:55 -0500
 
 fexoticoptions (2152.78-2) unstable; urgency=low
 
-  * debian/control: Set Build-Depends: to current R version 
-  
+  * debian/control: Set Build-Depends: to current R version
+
   * (Re-)building with R 3.0.0
 
  -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 05:42:43 -0500
@@ -54,7 +64,7 @@
 
   * debian/control: Set Build-Depends: to current R version
   * debian/control: Change Depends to ${R:Depends}
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Nov 2012 07:21:45 -0600
 
@@ -63,7 +73,7 @@
   * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created
 
   * debian/control: Set (Build-)Depends: to current R version
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2011 15:23:22 -0500
 
@@ -72,7 +82,7 @@
   * New upstream release
 
   * debian/control: Set (Build-)Depends: to current R version
-  
+
  -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 18:38:52 -0600
 
 fexoticoptions (2100.76-1) unstable; urgency=low
@@ -80,7 +90,7 @@
   * New upstream release
 
   * debian/control: Set (Build-)Depends: to current R version
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 07:16:45 -0500
 
@@ -89,9 +99,9 @@
   * New upstream release
 
   * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
-  
+
   * debian/control: Changed Section: to new section 'gnu-r'
-  
+
   * debian/control: Set (Build-)Depends: to current R version
   * debian/control: Set Standards-Version: to current version 3.8.1
 
@@ -102,7 +112,7 @@
   * New upstream release
 
   * debian/control: Updated (Build-)Depends: and Suggests:
-  
+
   * debian/control: Set (Build-)Depends: to current R version
   * debian/control: Set Standards-Version: to current version
 
@@ -111,5 +121,5 @@
 fexoticoptions (260.72-1) unstable; urgency=low
 
   * Initial Debian release of new Rmetrics component package
-  
+
  -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Nov 2007 21:05:11 -0600

=== removed file 'debian/compat'
--- a/debian/compat	2018-06-06 01:09:51 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-9

=== modified file 'debian/control'
--- a/debian/control	2020-05-18 15:13:58 +0000
+++ b/debian/control	2020-06-04 22:04:15 +0000
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, r-base-dev (>= 4.0.0), r-cran-fbasics (>= 290.76), r-cran-foptions (>= 260.72), xvfb, xauth, xfonts-base, dh-r
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.0.0), r-cran-fbasics (>= 290.76), r-cran-foptions (>= 260.72), xvfb, xauth, xfonts-base, dh-r
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fexoticoptions
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fexoticoptions.git
@@ -15,8 +15,7 @@
 Description: GNU R package for financial engineering -- fExoticOptions
  This package of functions for financial engineering and computational
  finance is part of Rmetrics, a collection of packages written and
- compiled by Diethelm Wuertz. 
+ compiled by Diethelm Wuertz.
  .
  fExoticOptions provides functions to price and hedge exotic options
  on one or several assets.
-

Run locally

Try this locally (using the lintian-brush package):

debcheckout fexoticoptions
cd fexoticoptions
lintian-brush

More details

Full run details